ifname1<-c("CropCorrel.csv"); ifname2<-c("RegCorrel90.csv")
df1 <- read.delim(ifname1,header=T,sep=",",row.names=1,as.is=TRUE,strip.white=FALSE)
df2 <- read.delim(ifname2,header=T,sep=",",row.names=1,as.is=TRUE,strip.white=FALSE)
cname<-c("Spinach","Apple","Brownrice","Orange","Soybean","Cabbage","Potato")
pdf('Both.pdf', width = 6, height = 6)
par(mfrow=c(7,2), mex = 0.3,cex=0.6)
for(i in 1:7){
  hist(df1[,i],
       freq=TRUE,breaks=seq(-1,1,0.05),ylim=c(0,40),
       col="black",main=cname[i],xlab="",ylab="")
  hist(df2[,i],
       freq=TRUE,breaks=seq(-1,1,0.05),ylim=c(0,40),
       col="black",main=cname[i],xlab="",ylab="")
}
dev.off()